Bug 1575511 - SELinux is preventing (geoclue) from 'execute_no_trans' accesses on the file /usr/libexec/geoclue.
Summary: SELinux is preventing (geoclue) from 'execute_no_trans' accesses on the file ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:84c6a6c0dfae7fa767b9e080609...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 07:27 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-10-27 05:58 UTC (History)
18 users (show)

Fixed In Version: selinux-policy-3.14.1-29.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-26 20:44:03 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1575213 0 unspecified CLOSED SELinux is preventing (geoclue) from 'execute_no_trans' accesses on the file /usr/libexec/geoclue. 2021-02-22 00:41:40 UTC

Internal Links: 1575213

Description Dominik 'Rathann' Mierzejewski 2018-05-07 07:27:48 UTC
Description of problem:
I think this started appearing after upgrading geoclue2-2.4.8-1.fc28.x86_64 to 2.4.10-1.fc28.x86_64.
SELinux is preventing (geoclue) from 'execute_no_trans' accesses on the file /usr/libexec/geoclue.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that (geoclue) should be allowed execute_no_trans access on the geoclue file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '(geoclue)' --raw | audit2allow -M my-geoclue
# semodule -X 300 -i my-geoclue.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:geoclue_exec_t:s0
Target Objects                /usr/libexec/geoclue [ file ]
Source                        (geoclue)
Source Path                   (geoclue)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           geoclue2-2.4.10-1.fc28.x86_64
Policy RPM                    selinux-policy-3.14.1-24.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.7-300.fc28.x86_64 #1 SMP Wed
                              May 2 20:09:13 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-05-07 09:24:53 CEST
Last Seen                     2018-05-07 09:24:53 CEST
Local ID                      3b907cc2-bf0a-4e68-a6c8-c455e5093100

Raw Audit Messages
type=AVC msg=audit(1525677893.305:229): avc:  denied  { execute_no_trans } for  pid=1995 comm="(geoclue)" path="/usr/libexec/geoclue" dev="dm-2" ino=268909 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:geoclue_exec_t:s0 tclass=file permissive=0


Hash: (geoclue),init_t,geoclue_exec_t,file,execute_no_trans

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.7-300.fc28.x86_64
type:           libreport

Potential duplicate: bug 1575213

Comment 1 Łukasz Faber 2018-05-07 07:39:20 UTC
Description of problem:
Error showed up just after booting the system.

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.7-300.fc28.x86_64
type:           libreport

Comment 2 Björn 'besser82' Esser 2018-05-07 08:57:37 UTC
Same finding here.

Comment 3 Pavel Roskin 2018-05-07 20:11:35 UTC
This morning, two things happened. I go this access issue, and I got a message that my timezone was updated to Chicago. I'm in the Los Angeles timezone, and I'm not using anything that could confuse the automatic timezone detection. whatismyip.com detects my location correctly. I had to set the timezone to Los Angeles manually.

I have never seen that before. I've been using Fedora 28 for about two weeks. My system is up-to-date with updates-testing.

Comment 4 Or Schiro 2018-05-08 07:18:33 UTC
Description of problem:
Can this be related to GNOME Night Light? I just got this error after logging in.

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.7-300.fc28.x86_64
type:           libreport

Comment 5 Mike Goodwin 2018-05-16 14:28:55 UTC
Description of problem:
After upgrade to F28

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.8-300.fc28.x86_64
type:           libreport

Comment 6 Fedora Update System 2018-05-24 14:35:23 UTC
selinux-policy-3.14.1-29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a74875b364

Comment 7 Fedora Update System 2018-05-25 18:42:13 UTC
selinux-policy-3.14.1-29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a74875b364

Comment 8 Fedora Update System 2018-05-26 20:44:03 UTC
selinux-policy-3.14.1-29.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 pambos 2018-07-27 02:05:46 UTC
Description of problem:
I upgraded to Fedora 28 and it happened

Version-Release number of selected component:
selinux-policy-3.14.1-32.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.8.6-300.fc25.x86_64
type:           libreport

Comment 10 Or Schiro 2018-08-16 06:46:14 UTC
Description of problem:
I restarted my system and received this SE Linux warning about geoclue.

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.17.14-201.fc28.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.